LOOK(1)

NAZWA
look - wyświetla wiersze zaczynające się od podanego łańcucha

SKŁADNIA

look [opcje] łańcuch [plik]

OPIS

Narzędzie look wyświetla wszystkie wiersze z pliku, które zawierają łańcuch. Jako, że look wykonuje wyszukiwanie binarne, wiersze w pliku muszą być posortowane (gdzie sort(1) był wykonany z tymi samymi parametrami -d i/lub -f co look).

Jeśli plik nie jest podany, używany jest plik /usr/share/dict/words, porównywane są tylko znaki alfanumeryczne, a ich wielkość jest ignorowana.

OPCJE

-a, --alternative
    Używa alternatywnego pliku słownika.

-d, --alphanum
    Używa standardowego słownikowego zestawu i kolejności, tzn. porównywane są wyłącznie znaki alfanumeryczne oraz puste znaki. Jest to zachowanie domyślne, jeśli nie podanego innego pliku słownikowego.

    Warto zauważyć, że puste znaki zostały dodane do słownika zestawów znaków dla kompatybilności z komendą sort -d w wersji powyżej 2.28.

-f, --ignore-case
    Ignoruj rozmiar znaków alfabetycznych. Jest do zachowanie domyślne jeśli nie podano innego pliku słownika.

-t, --terminate znak
    Określa znak końca łańcucha, np. porównywane będą tylko te znaki z łańcucha , które znajdują się przed pierwszym wystąpieniem znaku.

-V, --version
    Wyświetla informacje o wersji i kończy działanie.

-h, --help
    Wyświetla ten tekst i kończy pracę.

Narzędzie look zwraca status 0, jeśli znaleziono i wypisano jeden lub więcej wierszy, 1 jeśli niczego nie znaleziono i >1 gdy wystąpił błąd.

ŚRODOWISKO

WORDLIST
    Ścieżka do pliku słownikowego. Zmienna środowiskowa ma wyższy priorytet od ścieżek do słowników zdefiniowanych w segmencie PLIKI.

PLIKI

/usr/share/dict/words
    słownik

/usr/share/dict/web2
    alternatywny słownik

HISTORIA

Narzędzie look pojawiło się w wersji 7 Unixa od AT&T.

PRZYKŁADY

    sort -d /etc/passwd -o /tmp/look.dict
    look -t: root:foobar /tmp/look.dict

ZOBACZ TAKŻE

grep(1), sort(1)

ZGŁASZANIE BŁĘDÓW

For bug reports, use the issue tracker at

DOSTĘPNOŚĆ

The look command is part of the util-linux package which can be downloaded from

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl>, Michał Kułach <michal.kulach@gmail.com> i Szymon Lamkiewicz <s.lam@o2.pl> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.